refdb-backup
Prev | Chapter 13. Administration tools | Next

## Name

refdb-backup — RefDB tool: back up RefDB references, notes and styles

## Synopsis

`refdb-backup` [`-h` ] [`-u` `user`] [`-w` `pwd`] [`-f` `format`] [`-d` `dir`] [`-s` ]

## Description

refdb-backup is a tool for backing up RefDB(7) references, notes and styles. A gzipped tarfile of the form 'refdb_backup_YYYYMMDD_HHMM.tar.gz' is created.

While users can restore data from the backup archive manually, it is expressly designed to restored by the companion tool refdb-restore.

## Options

`-d` `dir`

  directory in which to place backup file (default: current directory)

`-f` `format`

  references storage format ('ris' (default)|'risx')

`-h`

  print help and exit

`-s`

  silent, no screen feedback

`-u` `user`

  username for RefDB clients (refdba, refdbc) not required if clients are configured for automatic access

`-w` `pwd`

  password for RefDB clients (refdba, refdbc) not required if clients are configured for automatic access

## See also

RefDB (7), refdb-restore (1), refdba (1), refdbc (1).

RefDB manual (local copy) PREFIX/share/doc/refdb-<version>/refdb-manual/index.html

RefDB manual (web) <http://refdb.sourceforge.net/manual/index.html>

RefDB on the web <http://refdb.sourceforge.net/>

## Author

refdb-backup was written by David Nebauer <david@nebauer.org>

This manual page was written by David Nebauer <david@nebauer.org> for the Debian project (but may be used by others).

Prev | Up | Next
refdba | Home | refdb-restore